using Microsoft.EntityFrameworkCore.Migrations;

#nullable disable

namespace bitforum.Migrations.DefaultDb
{
    /// <inheritdoc />
    public partial class a4 : Migration
    {
        /// <inheritdoc />
        protected override void Up(MigrationBuilder migrationBuilder)
        {
            migrationBuilder.AddColumn<bool>(
                name: "General_AllowDeleteProtection",
                table: "PostMeta",
                type: "bit",
                nullable: false,
                defaultValue: false,
                comment: "게시글 보호 기능 (삭제 시)");

            migrationBuilder.AddColumn<bool>(
                name: "General_AllowUpdateProtection",
                table: "PostMeta",
                type: "bit",
                nullable: false,
                defaultValue: false,
                comment: "게시글 보호 기능 (수정 시)");

            migrationBuilder.AddColumn<int>(
                name: "General_DeleteProtectionDays",
                table: "PostMeta",
                type: "int",
                nullable: false,
                defaultValue: 0,
                comment: "게시글 삭제 금지 기간");

            migrationBuilder.AddColumn<bool>(
                name: "General_EnableFileDownLog",
                table: "PostMeta",
                type: "bit",
                nullable: false,
                defaultValue: false,
                comment: "다운로드 기록");

            migrationBuilder.AddColumn<bool>(
                name: "General_EnablePostUpdateLog",
                table: "PostMeta",
                type: "bit",
                nullable: false,
                defaultValue: false,
                comment: "게시글 변경 기록");

            migrationBuilder.AddColumn<int>(
                name: "General_UpdateProtectionDays",
                table: "PostMeta",
                type: "int",
                nullable: false,
                defaultValue: 0,
                comment: "게시글 수정/삭제 금지 기간");

            migrationBuilder.AddColumn<bool>(
                name: "List_AllowBlame",
                table: "PostMeta",
                type: "bit",
                nullable: false,
                defaultValue: false,
                comment: "신고 기능");

            migrationBuilder.AddColumn<bool>(
                name: "List_AllowBookmark",
                table: "PostMeta",
                type: "bit",
                nullable: false,
                defaultValue: false,
                comment: "즐겨찾기 기능");

            migrationBuilder.AddColumn<bool>(
                name: "List_AllowContentLinkTargetBlank",
                table: "PostMeta",
                type: "bit",
                nullable: false,
                defaultValue: false,
                comment: "전체공지 제외 여부");

            migrationBuilder.AddColumn<bool>(
                name: "List_AllowDislike",
                table: "PostMeta",
                type: "bit",
                nullable: false,
                defaultValue: false,
                comment: "비공감 기능");

            migrationBuilder.AddColumn<bool>(
                name: "List_AllowLike",
                table: "PostMeta",
                type: "bit",
                nullable: false,
                defaultValue: false,
                comment: "공감 기능");

            migrationBuilder.AddColumn<bool>(
                name: "List_AllowPostUrlCopy",
                table: "PostMeta",
                type: "bit",
                nullable: false,
                defaultValue: false,
                comment: "주소 복사 버튼");

            migrationBuilder.AddColumn<bool>(
                name: "List_AllowPostUrlQrCode",
                table: "PostMeta",
                type: "bit",
                nullable: false,
                defaultValue: false,
                comment: "글 주소 QR 코드");

            migrationBuilder.AddColumn<bool>(
                name: "List_AllowPrevNextBotton",
                table: "PostMeta",
                type: "bit",
                nullable: false,
                defaultValue: false,
                comment: "이전글, 다음글 버튼");

            migrationBuilder.AddColumn<bool>(
                name: "List_AllowPrint",
                table: "PostMeta",
                type: "bit",
                nullable: false,
                defaultValue: false,
                comment: "본문 인쇄 기능");

            migrationBuilder.AddColumn<bool>(
                name: "List_AllowSnsShare",
                table: "PostMeta",
                type: "bit",
                nullable: false,
                defaultValue: false,
                comment: "SNS 보내기 기능");

            migrationBuilder.AddColumn<int>(
                name: "List_BlameHideCount",
                table: "PostMeta",
                type: "int",
                nullable: false,
                defaultValue: 0,
                comment: "신고 시 숨김");

            migrationBuilder.AddColumn<bool>(
                name: "List_ShowMemberIcon",
                table: "PostMeta",
                type: "bit",
                nullable: false,
                defaultValue: false,
                comment: "회원 아이콘 공개");

            migrationBuilder.AddColumn<bool>(
                name: "List_ShowMemberPhoto",
                table: "PostMeta",
                type: "bit",
                nullable: false,
                defaultValue: false,
                comment: "회원 사진 공개");

            migrationBuilder.AddColumn<bool>(
                name: "List_ShowMemberRegDate",
                table: "PostMeta",
                type: "bit",
                nullable: false,
                defaultValue: false,
                comment: "회원 가입일 공개");

            migrationBuilder.AddColumn<bool>(
                name: "Write_AllowEditor",
                table: "PostMeta",
                type: "bit",
                nullable: false,
                defaultValue: false,
                comment: "웹 에디터 사용");

            migrationBuilder.AddColumn<bool>(
                name: "Write_AllowSaveExternalImage",
                table: "PostMeta",
                type: "bit",
                nullable: false,
                defaultValue: false,
                comment: "외부 이미지 수집");

            migrationBuilder.AddColumn<bool>(
                name: "Write_AllowSecret",
                table: "PostMeta",
                type: "bit",
                nullable: false,
                defaultValue: false,
                comment: "비밀글 사용");

            migrationBuilder.AddColumn<bool>(
                name: "Write_AllowTag",
                table: "PostMeta",
                type: "bit",
                nullable: false,
                defaultValue: false,
                comment: "Tag 사용");

            migrationBuilder.AddColumn<string>(
                name: "Write_DefaultContent",
                table: "PostMeta",
                type: "nvarchar(4000)",
                maxLength: 4000,
                nullable: true,
                comment: "기본 내용");

            migrationBuilder.AddColumn<string>(
                name: "Write_DefaultSubject",
                table: "PostMeta",
                type: "nvarchar(255)",
                maxLength: 255,
                nullable: true,
                comment: "기본 제목");

            migrationBuilder.AddColumn<bool>(
                name: "Write_EnableUploadFile",
                table: "PostMeta",
                type: "bit",
                nullable: false,
                defaultValue: false,
                comment: "파일 사용");

            migrationBuilder.AddColumn<string>(
                name: "Write_FooterContent",
                table: "PostMeta",
                type: "nvarchar(4000)",
                maxLength: 4000,
                nullable: true,
                comment: "작성란 하단 내용");

            migrationBuilder.AddColumn<string>(
                name: "Write_HeaderContent",
                table: "PostMeta",
                type: "nvarchar(4000)",
                maxLength: 4000,
                nullable: true,
                comment: "작성란 상단 내용");

            migrationBuilder.AddColumn<string>(
                name: "Write_UploadFileExtension",
                table: "PostMeta",
                type: "nvarchar(200)",
                maxLength: 200,
                nullable: true,
                comment: "파일 허용 확장자");

            migrationBuilder.AddColumn<int>(
                name: "Write_UploadFileMaxSize",
                table: "PostMeta",
                type: "int",
                nullable: false,
                defaultValue: 0,
                comment: "파일 용량 제한");

            migrationBuilder.AddColumn<byte>(
                name: "Write_UploadFilesLimit",
                table: "PostMeta",
                type: "tinyint",
                nullable: false,
                defaultValue: (byte)0,
                comment: "파일 개수 제한");

            migrationBuilder.AddColumn<int>(
                name: "Exp_CommentWriteExp",
                table: "BoardMeta",
                type: "int",
                nullable: false,
                defaultValue: 0,
                comment: "댓글 작성");

            migrationBuilder.AddColumn<int>(
                name: "Exp_CommentWriteExpWithinDays",
                table: "BoardMeta",
                type: "int",
                nullable: false,
                defaultValue: 0,
                comment: "댓글 작성 기한");

            migrationBuilder.AddColumn<int>(
                name: "Exp_CommentWriteUndoExp",
                table: "BoardMeta",
                type: "int",
                nullable: false,
                defaultValue: 0,
                comment: "댓글 작성 취소");

            migrationBuilder.AddColumn<bool>(
                name: "Exp_EnableExp",
                table: "BoardMeta",
                type: "bit",
                nullable: false,
                defaultValue: false,
                comment: "경험치 기능");

            migrationBuilder.AddColumn<short>(
                name: "Exp_FileDownloadExp",
                table: "BoardMeta",
                type: "smallint",
                nullable: false,
                defaultValue: (short)0,
                comment: "파일 다운로드");

            migrationBuilder.AddColumn<int>(
                name: "Exp_FileUploadExp",
                table: "BoardMeta",
                type: "int",
                nullable: false,
                defaultValue: 0,
                comment: "파일 업로드");

            migrationBuilder.AddColumn<int>(
                name: "Exp_FileUploadExpWithinDays",
                table: "BoardMeta",
                type: "int",
                nullable: false,
                defaultValue: 0,
                comment: "파일 업로드 기한");

            migrationBuilder.AddColumn<int>(
                name: "Exp_FileUploadUndoExp",
                table: "BoardMeta",
                type: "int",
                nullable: false,
                defaultValue: 0,
                comment: "파일 업로드 취소");

            migrationBuilder.AddColumn<int>(
                name: "Exp_OtherCommentDisLikeExp",
                table: "BoardMeta",
                type: "int",
                nullable: false,
                defaultValue: 0,
                comment: "댓글 싫어요");

            migrationBuilder.AddColumn<int>(
                name: "Exp_OtherCommentDisLikeExpWithinDays",
                table: "BoardMeta",
                type: "int",
                nullable: false,
                defaultValue: 0,
                comment: "댓글 싫어요 기한");

            migrationBuilder.AddColumn<int>(
                name: "Exp_OtherCommentDisLikeUndoExp",
                table: "BoardMeta",
                type: "int",
                nullable: false,
                defaultValue: 0,
                comment: "댓글 싫어요 취소");

            migrationBuilder.AddColumn<int>(
                name: "Exp_OtherCommentLikeExp",
                table: "BoardMeta",
                type: "int",
                nullable: false,
                defaultValue: 0,
                comment: "댓글 좋아요");

            migrationBuilder.AddColumn<int>(
                name: "Exp_OtherCommentLikeExpWithinDays",
                table: "BoardMeta",
                type: "int",
                nullable: false,
                defaultValue: 0,
                comment: "댓글 좋아요 기한");

            migrationBuilder.AddColumn<int>(
                name: "Exp_OtherCommentLikeUndoExp",
                table: "BoardMeta",
                type: "int",
                nullable: false,
                defaultValue: 0,
                comment: "댓글 좋아요 취소");

            migrationBuilder.AddColumn<int>(
                name: "Exp_OtherPostDisLikeExp",
                table: "BoardMeta",
                type: "int",
                nullable: false,
                defaultValue: 0,
                comment: "게시글 싫어요");

            migrationBuilder.AddColumn<int>(
                name: "Exp_OtherPostDisLikeExpWithinDays",
                table: "BoardMeta",
                type: "int",
                nullable: false,
                defaultValue: 0,
                comment: "게시글 싫어요 기한");

            migrationBuilder.AddColumn<int>(
                name: "Exp_OtherPostDisLikeUndoExp",
                table: "BoardMeta",
                type: "int",
                nullable: false,
                defaultValue: 0,
                comment: "게시글 싫어요 취소");

            migrationBuilder.AddColumn<int>(
                name: "Exp_OtherPostLikeExp",
                table: "BoardMeta",
                type: "int",
                nullable: false,
                defaultValue: 0,
                comment: "게시글 좋아요");

            migrationBuilder.AddColumn<int>(
                name: "Exp_OtherPostLikeExpWithinDays",
                table: "BoardMeta",
                type: "int",
                nullable: false,
                defaultValue: 0,
                comment: "게시글 좋아요 기한");

            migrationBuilder.AddColumn<int>(
                name: "Exp_OtherPostLikeUndoExp",
                table: "BoardMeta",
                type: "int",
                nullable: false,
                defaultValue: 0,
                comment: "게시글 좋아요 취소");

            migrationBuilder.AddColumn<short>(
                name: "Exp_OtherPostReadExp",
                table: "BoardMeta",
                type: "smallint",
                nullable: false,
                defaultValue: (short)0,
                comment: "게시글 읽기");

            migrationBuilder.AddColumn<int>(
                name: "Exp_OtherPostReadExpWithinDays",
                table: "BoardMeta",
                type: "int",
                nullable: false,
                defaultValue: 0,
                comment: "게시글 읽기 기한");

            migrationBuilder.AddColumn<int>(
                name: "Exp_OtherPostReadUndoExp",
                table: "BoardMeta",
                type: "int",
                nullable: false,
                defaultValue: 0,
                comment: "게시글 읽기 취소");

            migrationBuilder.AddColumn<short>(
                name: "Exp_OwnCommentDisLikeExp",
                table: "BoardMeta",
                type: "smallint",
                nullable: false,
                defaultValue: (short)0,
                comment: "내 댓글 싫어요");

            migrationBuilder.AddColumn<int>(
                name: "Exp_OwnCommentDisLikeExpWithinDays",
                table: "BoardMeta",
                type: "int",
                nullable: false,
                defaultValue: 0,
                comment: "내 댓글 싫어요 기한");

            migrationBuilder.AddColumn<int>(
                name: "Exp_OwnCommentDisLikeUndoExp",
                table: "BoardMeta",
                type: "int",
                nullable: false,
                defaultValue: 0,
                comment: "내 댓글 싫어요 취소");

            migrationBuilder.AddColumn<int>(
                name: "Exp_OwnCommentLikeExp",
                table: "BoardMeta",
                type: "int",
                nullable: false,
                defaultValue: 0,
                comment: "내 댓글 좋아요");

            migrationBuilder.AddColumn<int>(
                name: "Exp_OwnCommentLikeExpWithinDays",
                table: "BoardMeta",
                type: "int",
                nullable: false,
                defaultValue: 0,
                comment: "내 댓글 좋아요 기한");

            migrationBuilder.AddColumn<int>(
                name: "Exp_OwnCommentLikeUndoExp",
                table: "BoardMeta",
                type: "int",
                nullable: false,
                defaultValue: 0,
                comment: "내 댓글 좋아요 취소");

            migrationBuilder.AddColumn<short>(
                name: "Exp_OwnPostDisLikeExp",
                table: "BoardMeta",
                type: "smallint",
                nullable: false,
                defaultValue: (short)0,
                comment: "내 게시글 싫어요");

            migrationBuilder.AddColumn<int>(
                name: "Exp_OwnPostDisLikeExpWithinDays",
                table: "BoardMeta",
                type: "int",
                nullable: false,
                defaultValue: 0,
                comment: "내 게시글 싫어요 기한");

            migrationBuilder.AddColumn<int>(
                name: "Exp_OwnPostDisLikeUndoExp",
                table: "BoardMeta",
                type: "int",
                nullable: false,
                defaultValue: 0,
                comment: "내 게시글 싫어요 취소");

            migrationBuilder.AddColumn<int>(
                name: "Exp_OwnPostLikeExp",
                table: "BoardMeta",
                type: "int",
                nullable: false,
                defaultValue: 0,
                comment: "내 게시글 좋아요");

            migrationBuilder.AddColumn<int>(
                name: "Exp_OwnPostLikeExpWithinDays",
                table: "BoardMeta",
                type: "int",
                nullable: false,
                defaultValue: 0,
                comment: "내 게시글 좋아요 기한");

            migrationBuilder.AddColumn<int>(
                name: "Exp_OwnPostLikeUndoExp",
                table: "BoardMeta",
                type: "int",
                nullable: false,
                defaultValue: 0,
                comment: "내 게시글 좋아요 취소");

            migrationBuilder.AddColumn<int>(
                name: "Exp_OwnPostReadExp",
                table: "BoardMeta",
                type: "int",
                nullable: false,
                defaultValue: 0,
                comment: "내 게시글 읽힘");

            migrationBuilder.AddColumn<int>(
                name: "Exp_OwnPostReadExpWithinDays",
                table: "BoardMeta",
                type: "int",
                nullable: false,
                defaultValue: 0,
                comment: "내 게시글 읽힘 기한");

            migrationBuilder.AddColumn<int>(
                name: "Exp_OwnPostReadUndoExp",
                table: "BoardMeta",
                type: "int",
                nullable: false,
                defaultValue: 0,
                comment: "내 게시글 읽힘 취소");

            migrationBuilder.AddColumn<int>(
                name: "Exp_PostWriteExp",
                table: "BoardMeta",
                type: "int",
                nullable: false,
                defaultValue: 0,
                comment: "게시글 작성");

            migrationBuilder.AddColumn<int>(
                name: "Exp_PostWriteExpWithinDays",
                table: "BoardMeta",
                type: "int",
                nullable: false,
                defaultValue: 0,
                comment: "게시글 작성 기한");

            migrationBuilder.AddColumn<int>(
                name: "Exp_PostWriteUndoExp",
                table: "BoardMeta",
                type: "int",
                nullable: false,
                defaultValue: 0,
                comment: "게시글 작성 취소");

            migrationBuilder.AddColumn<bool>(
                name: "Exp_ShowExpGuide",
                table: "BoardMeta",
                type: "bit",
                nullable: false,
                defaultValue: false,
                comment: "경험치 안내");

            migrationBuilder.AddColumn<bool>(
                name: "List_AlwaysShowWriteButton",
                table: "BoardMeta",
                type: "bit",
                nullable: false,
                defaultValue: false,
                comment: "글쓰기 버튼 보이기");

            migrationBuilder.AddColumn<bool>(
                name: "List_ExceptNotice",
                table: "BoardMeta",
                type: "bit",
                nullable: false,
                defaultValue: false,
                comment: "공지사항 제외 여부");

            migrationBuilder.AddColumn<bool>(
                name: "List_ExceptSpeaker",
                table: "BoardMeta",
                type: "bit",
                nullable: false,
                defaultValue: false,
                comment: "전체공지 제외 여부");

            migrationBuilder.AddColumn<string>(
                name: "List_FooterContent",
                table: "BoardMeta",
                type: "nvarchar(max)",
                nullable: true,
                comment: "하단 내용");

            migrationBuilder.AddColumn<string>(
                name: "List_HeaderContent",
                table: "BoardMeta",
                type: "nvarchar(max)",
                nullable: true,
                comment: "상단 내용");

            migrationBuilder.AddColumn<bool>(
                name: "List_IsHotIcon",
                table: "BoardMeta",
                type: "bit",
                nullable: false,
                defaultValue: false,
                comment: "HOT 사용 여부");

            migrationBuilder.AddColumn<bool>(
                name: "List_IsNewIcon",
                table: "BoardMeta",
                type: "bit",
                nullable: false,
                defaultValue: false,
                comment: "NEW 사용 여부");

            migrationBuilder.AddColumn<int>(
                name: "List_Layout",
                table: "BoardMeta",
                type: "int",
                nullable: true,
                comment: "게시판 종류");

            migrationBuilder.AddColumn<int>(
                name: "List_OrderBy",
                table: "BoardMeta",
                type: "int",
                nullable: true,
                comment: "기본 정렬");

            migrationBuilder.AddColumn<byte>(
                name: "List_PerPage",
                table: "BoardMeta",
                type: "tinyint",
                nullable: false,
                defaultValue: (byte)0,
                comment: "목록 표시");

            migrationBuilder.AddColumn<bool>(
                name: "List_ShowFooterListView",
                table: "BoardMeta",
                type: "bit",
                nullable: false,
                defaultValue: false,
                comment: "하단 목록 보이기");

            migrationBuilder.AddColumn<int>(
                name: "Notify_CommentWriteNotify",
                table: "BoardMeta",
                type: "int",
                nullable: true,
                comment: "댓글 작성 시");

            migrationBuilder.AddColumn<int>(
                name: "Notify_PostWriteNotify",
                table: "BoardMeta",
                type: "int",
                nullable: true,
                comment: "게시글 작성 시");

            migrationBuilder.AddColumn<int>(
                name: "Notify_ReplyWriteNotify",
                table: "BoardMeta",
                type: "int",
                nullable: true,
                comment: "답글 작성 시");

            migrationBuilder.AddColumn<int>(
                name: "Permission_BoardAccess",
                table: "BoardMeta",
                type: "int",
                nullable: false,
                defaultValue: 0,
                comment: "게시판 접근");

            migrationBuilder.AddColumn<int>(
                name: "Permission_CommentView",
                table: "BoardMeta",
                type: "int",
                nullable: false,
                defaultValue: 0,
                comment: "댓글 목록");

            migrationBuilder.AddColumn<int>(
                name: "Permission_CommentWrite",
                table: "BoardMeta",
                type: "int",
                nullable: false,
                defaultValue: 0,
                comment: "댓글 작성");

            migrationBuilder.AddColumn<int>(
                name: "Permission_FileDownload",
                table: "BoardMeta",
                type: "int",
                nullable: false,
                defaultValue: 0,
                comment: "파일 다운로드");

            migrationBuilder.AddColumn<int>(
                name: "Permission_FileUpload",
                table: "BoardMeta",
                type: "int",
                nullable: false,
                defaultValue: 0,
                comment: "파일 업로드");

            migrationBuilder.AddColumn<int>(
                name: "Permission_PostView",
                table: "BoardMeta",
                type: "int",
                nullable: false,
                defaultValue: 0,
                comment: "글 열람");

            migrationBuilder.AddColumn<int>(
                name: "Permission_PostWrite",
                table: "BoardMeta",
                type: "int",
                nullable: false,
                defaultValue: 0,
                comment: "글 작성");

            migrationBuilder.AddColumn<int>(
                name: "Permission_ReplyWrite",
                table: "BoardMeta",
                type: "int",
                nullable: false,
                defaultValue: 0,
                comment: "답글 작성");
        }

        /// <inheritdoc />
        protected override void Down(MigrationBuilder migrationBuilder)
        {
            migrationBuilder.DropColumn(
                name: "General_AllowDeleteProtection",
                table: "PostMeta");

            migrationBuilder.DropColumn(
                name: "General_AllowUpdateProtection",
                table: "PostMeta");

            migrationBuilder.DropColumn(
                name: "General_DeleteProtectionDays",
                table: "PostMeta");

            migrationBuilder.DropColumn(
                name: "General_EnableFileDownLog",
                table: "PostMeta");

            migrationBuilder.DropColumn(
                name: "General_EnablePostUpdateLog",
                table: "PostMeta");

            migrationBuilder.DropColumn(
                name: "General_UpdateProtectionDays",
                table: "PostMeta");

            migrationBuilder.DropColumn(
                name: "List_AllowBlame",
                table: "PostMeta");

            migrationBuilder.DropColumn(
                name: "List_AllowBookmark",
                table: "PostMeta");

            migrationBuilder.DropColumn(
                name: "List_AllowContentLinkTargetBlank",
                table: "PostMeta");

            migrationBuilder.DropColumn(
                name: "List_AllowDislike",
                table: "PostMeta");

            migrationBuilder.DropColumn(
                name: "List_AllowLike",
                table: "PostMeta");

            migrationBuilder.DropColumn(
                name: "List_AllowPostUrlCopy",
                table: "PostMeta");

            migrationBuilder.DropColumn(
                name: "List_AllowPostUrlQrCode",
                table: "PostMeta");

            migrationBuilder.DropColumn(
                name: "List_AllowPrevNextBotton",
                table: "PostMeta");

            migrationBuilder.DropColumn(
                name: "List_AllowPrint",
                table: "PostMeta");

            migrationBuilder.DropColumn(
                name: "List_AllowSnsShare",
                table: "PostMeta");

            migrationBuilder.DropColumn(
                name: "List_BlameHideCount",
                table: "PostMeta");

            migrationBuilder.DropColumn(
                name: "List_ShowMemberIcon",
                table: "PostMeta");

            migrationBuilder.DropColumn(
                name: "List_ShowMemberPhoto",
                table: "PostMeta");

            migrationBuilder.DropColumn(
                name: "List_ShowMemberRegDate",
                table: "PostMeta");

            migrationBuilder.DropColumn(
                name: "Write_AllowEditor",
                table: "PostMeta");

            migrationBuilder.DropColumn(
                name: "Write_AllowSaveExternalImage",
                table: "PostMeta");

            migrationBuilder.DropColumn(
                name: "Write_AllowSecret",
                table: "PostMeta");

            migrationBuilder.DropColumn(
                name: "Write_AllowTag",
                table: "PostMeta");

            migrationBuilder.DropColumn(
                name: "Write_DefaultContent",
                table: "PostMeta");

            migrationBuilder.DropColumn(
                name: "Write_DefaultSubject",
                table: "PostMeta");

            migrationBuilder.DropColumn(
                name: "Write_EnableUploadFile",
                table: "PostMeta");

            migrationBuilder.DropColumn(
                name: "Write_FooterContent",
                table: "PostMeta");

            migrationBuilder.DropColumn(
                name: "Write_HeaderContent",
                table: "PostMeta");

            migrationBuilder.DropColumn(
                name: "Write_UploadFileExtension",
                table: "PostMeta");

            migrationBuilder.DropColumn(
                name: "Write_UploadFileMaxSize",
                table: "PostMeta");

            migrationBuilder.DropColumn(
                name: "Write_UploadFilesLimit",
                table: "PostMeta");

            migrationBuilder.DropColumn(
                name: "Exp_CommentWriteExp",
                table: "BoardMeta");

            migrationBuilder.DropColumn(
                name: "Exp_CommentWriteExpWithinDays",
                table: "BoardMeta");

            migrationBuilder.DropColumn(
                name: "Exp_CommentWriteUndoExp",
                table: "BoardMeta");

            migrationBuilder.DropColumn(
                name: "Exp_EnableExp",
                table: "BoardMeta");

            migrationBuilder.DropColumn(
                name: "Exp_FileDownloadExp",
                table: "BoardMeta");

            migrationBuilder.DropColumn(
                name: "Exp_FileUploadExp",
                table: "BoardMeta");

            migrationBuilder.DropColumn(
                name: "Exp_FileUploadExpWithinDays",
                table: "BoardMeta");

            migrationBuilder.DropColumn(
                name: "Exp_FileUploadUndoExp",
                table: "BoardMeta");

            migrationBuilder.DropColumn(
                name: "Exp_OtherCommentDisLikeExp",
                table: "BoardMeta");

            migrationBuilder.DropColumn(
                name: "Exp_OtherCommentDisLikeExpWithinDays",
                table: "BoardMeta");

            migrationBuilder.DropColumn(
                name: "Exp_OtherCommentDisLikeUndoExp",
                table: "BoardMeta");

            migrationBuilder.DropColumn(
                name: "Exp_OtherCommentLikeExp",
                table: "BoardMeta");

            migrationBuilder.DropColumn(
                name: "Exp_OtherCommentLikeExpWithinDays",
                table: "BoardMeta");

            migrationBuilder.DropColumn(
                name: "Exp_OtherCommentLikeUndoExp",
                table: "BoardMeta");

            migrationBuilder.DropColumn(
                name: "Exp_OtherPostDisLikeExp",
                table: "BoardMeta");

            migrationBuilder.DropColumn(
                name: "Exp_OtherPostDisLikeExpWithinDays",
                table: "BoardMeta");

            migrationBuilder.DropColumn(
                name: "Exp_OtherPostDisLikeUndoExp",
                table: "BoardMeta");

            migrationBuilder.DropColumn(
                name: "Exp_OtherPostLikeExp",
                table: "BoardMeta");

            migrationBuilder.DropColumn(
                name: "Exp_OtherPostLikeExpWithinDays",
                table: "BoardMeta");

            migrationBuilder.DropColumn(
                name: "Exp_OtherPostLikeUndoExp",
                table: "BoardMeta");

            migrationBuilder.DropColumn(
                name: "Exp_OtherPostReadExp",
                table: "BoardMeta");

            migrationBuilder.DropColumn(
                name: "Exp_OtherPostReadExpWithinDays",
                table: "BoardMeta");

            migrationBuilder.DropColumn(
                name: "Exp_OtherPostReadUndoExp",
                table: "BoardMeta");

            migrationBuilder.DropColumn(
                name: "Exp_OwnCommentDisLikeExp",
                table: "BoardMeta");

            migrationBuilder.DropColumn(
                name: "Exp_OwnCommentDisLikeExpWithinDays",
                table: "BoardMeta");

            migrationBuilder.DropColumn(
                name: "Exp_OwnCommentDisLikeUndoExp",
                table: "BoardMeta");

            migrationBuilder.DropColumn(
                name: "Exp_OwnCommentLikeExp",
                table: "BoardMeta");

            migrationBuilder.DropColumn(
                name: "Exp_OwnCommentLikeExpWithinDays",
                table: "BoardMeta");

            migrationBuilder.DropColumn(
                name: "Exp_OwnCommentLikeUndoExp",
                table: "BoardMeta");

            migrationBuilder.DropColumn(
                name: "Exp_OwnPostDisLikeExp",
                table: "BoardMeta");

            migrationBuilder.DropColumn(
                name: "Exp_OwnPostDisLikeExpWithinDays",
                table: "BoardMeta");

            migrationBuilder.DropColumn(
                name: "Exp_OwnPostDisLikeUndoExp",
                table: "BoardMeta");

            migrationBuilder.DropColumn(
                name: "Exp_OwnPostLikeExp",
                table: "BoardMeta");

            migrationBuilder.DropColumn(
                name: "Exp_OwnPostLikeExpWithinDays",
                table: "BoardMeta");

            migrationBuilder.DropColumn(
                name: "Exp_OwnPostLikeUndoExp",
                table: "BoardMeta");

            migrationBuilder.DropColumn(
                name: "Exp_OwnPostReadExp",
                table: "BoardMeta");

            migrationBuilder.DropColumn(
                name: "Exp_OwnPostReadExpWithinDays",
                table: "BoardMeta");

            migrationBuilder.DropColumn(
                name: "Exp_OwnPostReadUndoExp",
                table: "BoardMeta");

            migrationBuilder.DropColumn(
                name: "Exp_PostWriteExp",
                table: "BoardMeta");

            migrationBuilder.DropColumn(
                name: "Exp_PostWriteExpWithinDays",
                table: "BoardMeta");

            migrationBuilder.DropColumn(
                name: "Exp_PostWriteUndoExp",
                table: "BoardMeta");

            migrationBuilder.DropColumn(
                name: "Exp_ShowExpGuide",
                table: "BoardMeta");

            migrationBuilder.DropColumn(
                name: "List_AlwaysShowWriteButton",
                table: "BoardMeta");

            migrationBuilder.DropColumn(
                name: "List_ExceptNotice",
                table: "BoardMeta");

            migrationBuilder.DropColumn(
                name: "List_ExceptSpeaker",
                table: "BoardMeta");

            migrationBuilder.DropColumn(
                name: "List_FooterContent",
                table: "BoardMeta");

            migrationBuilder.DropColumn(
                name: "List_HeaderContent",
                table: "BoardMeta");

            migrationBuilder.DropColumn(
                name: "List_IsHotIcon",
                table: "BoardMeta");

            migrationBuilder.DropColumn(
                name: "List_IsNewIcon",
                table: "BoardMeta");

            migrationBuilder.DropColumn(
                name: "List_Layout",
                table: "BoardMeta");

            migrationBuilder.DropColumn(
                name: "List_OrderBy",
                table: "BoardMeta");

            migrationBuilder.DropColumn(
                name: "List_PerPage",
                table: "BoardMeta");

            migrationBuilder.DropColumn(
                name: "List_ShowFooterListView",
                table: "BoardMeta");

            migrationBuilder.DropColumn(
                name: "Notify_CommentWriteNotify",
                table: "BoardMeta");

            migrationBuilder.DropColumn(
                name: "Notify_PostWriteNotify",
                table: "BoardMeta");

            migrationBuilder.DropColumn(
                name: "Notify_ReplyWriteNotify",
                table: "BoardMeta");

            migrationBuilder.DropColumn(
                name: "Permission_BoardAccess",
                table: "BoardMeta");

            migrationBuilder.DropColumn(
                name: "Permission_CommentView",
                table: "BoardMeta");

            migrationBuilder.DropColumn(
                name: "Permission_CommentWrite",
                table: "BoardMeta");

            migrationBuilder.DropColumn(
                name: "Permission_FileDownload",
                table: "BoardMeta");

            migrationBuilder.DropColumn(
                name: "Permission_FileUpload",
                table: "BoardMeta");

            migrationBuilder.DropColumn(
                name: "Permission_PostView",
                table: "BoardMeta");

            migrationBuilder.DropColumn(
                name: "Permission_PostWrite",
                table: "BoardMeta");

            migrationBuilder.DropColumn(
                name: "Permission_ReplyWrite",
                table: "BoardMeta");
        }
    }
}
